CREATE OR REPLACE VIEW V_S_ARTIKLI
AS (
SELECT SA.ID_ARTIKEL, SA.ID_ENOTA, SA.ID_DAVEK, SA.ID_GRUPA, SA.NAZIV, SA.NAZIV1, SA.BAR_KODA, SA.MIN_ZALOGA, SA.MIN_IZDAJA, SA.CENA_SKL, SA.CENA_MP, SA.CENA_VP, SA.CENA_DEM, SA.DT_VPISA,
SA.DOBAVITELJ, SA.UPOR_VPIS, SA.UPOR_SPREM, SA.DAV_STOPNJA, SA.DT_SPREMEMBE, SA.KONTO, SA.LOKACIJA, SA.SIFRA_DOB, SA.V_UPORABI, SA.PRENOS, SA.LOKACIJA1, SA.LOKACIJA2, SA.CENAZDDV, SA.VRSTA,
SA.INTERNI_OPIS, SA.PROIZVAJALEC, SA.NNLOCATION_ID, SA.SALE, SA.STOCKS,
SE.NAZIV AS S_ENOTE_NAZIV, SE.OSN_ENOTA AS S_ENOTE_OSN_ENOTA, SD.OPIS AS S_DAVEK_OPIS, SG.NAZIV AS S_GRUPE_NAZIV, 
SG.SERVICE AS S_GRUPE_SERVICE, SG.COMMISSION_PERCENTAGE AS S_GRUPE_COMMISSION_PERCENTAGE, SG.ROUNDING AS S_GRUPE_ROUNDING
FROM S_ARTIKLI SA
LEFT OUTER JOIN S_DAVEK SD ON SD.ID_DAVEK = SA.ID_DAVEK
LEFT OUTER JOIN S_ENOTE SE ON SE.ID_ENOTA = SA.ID_ENOTA
LEFT OUTER JOIN S_GRUPE SG ON SG.ID_GRUPA = SA.ID_GRUPA
);

INSERT INTO S_OBRACUN_DETAIL(ID_OBRACUN_DETAIL, ID_OBRACUN, ID_ARTIKEL, ID_PROMET, QUANTITY)
SELECT S_OBRACUN_DETAIL_SEQ.NEXTVAL, ID_OBRACUN, ID_ARTIKEL, ID_PROMET, KOLICINA FROM S_OBRACUN
WHERE ID_OBRACUN NOT IN (SELECT ID_OBRACUN FROM S_OBRACUN_DETAIL) AND ID_PROMET IS NOT NULL;

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1388, SYSDATE, '5.5', 1308, 'VSArtikli')
;