CREATE OR REPLACE VIEW V_STORITVE_INCOME AS (
	SELECT M.ID_STORITVE_INCOME, M.ID_STORITVE, M.ID_POGODBE, M.ID_VPS, M.ID_OBRACUNA, M.ID_PRIVEZ, M.ID_LASTNIK, M.ID_PLOVILA, M.ID_REZERVACIJE, 
  M.ID_RACUN_DATA, M.DATUM, M.ZNESEK, M.BRUTO, M.BRUTO_FULL, M.BRUTO_BERTH, MS.STORITEV AS M_STORITVE_STORITEV, MS.KAT AS M_STORITVE_KAT, MS.TIMEKAT AS M_STORITVE_TIMEKAT, MS.N_RACUNA AS M_STORITVE_N_RACUNA,
  MN.OPIS AS M_NNSTOMAR_OPIS, MN.INTERNI_OPIS AS M_NNSTOMAR_INTERNI_OPIS, MN.WEB_APP_USE AS M_NNSTOMAR_WEB_APP_USE, MN.BERTH_YIELD AS M_NNSTOMAR_BERTH_YIELD,
  K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, P.IME AS PLOVILA_IME, P.DOLZINA AS PLOVILA_DOLZINA, P.SIRINA AS PLOVILA_SIRINA,
  NP.N_PRIVEZA AS NNPRIVEZ_N_PRIVEZA, NP.DOLZINA AS NNPRIVEZ_DOLZINA, NP.SIRINA AS NNPRIVEZ_SIRINA, RD.N_RACUNA AS RACUN_DATA_N_RACUNA
	FROM M_STORITVE_INCOME M
  LEFT OUTER JOIN M_STORITVE MS ON MS.ID_STORITVE = M.ID_STORITVE
  LEFT OUTER JOIN M_NNSTOMAR MN ON MN.SIFRA = MS.STORITEV
  LEFT OUTER JOIN KUPCI K ON K.ID = M.ID_LASTNIK
  LEFT OUTER JOIN PLOVILA P ON P.ID = M.ID_PLOVILA
  LEFT OUTER JOIN NNPRIVEZ NP ON NP.ID_PRIVEZ = M.ID_PRIVEZ
  LEFT OUTER JOIN RACUN_DATA RD ON RD.ID_RACUN_DATA = M.ID_RACUN_DATA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1062, SYSDATE, '5.5', 982, 'VStoritveIncome racun')
;
