
DROP TABLE M_STORITVE_TG_LOG CASCADE CONSTRAINTS ; 

CREATE TABLE M_STORITVE_TG_LOG ( 
  TIP               VARCHAR2 (1)  NOT NULL, 
  PROGRAM           VARCHAR2 (64), 
  POSTAJA           VARCHAR2 (64), 
  MODUL             VARCHAR2 (48), 
  ID_STORITVE       NUMBER, 
  ID_DN             NUMBER, 
  ID_POGODBE        NUMBER, 
  ID_VPS            NUMBER, 
  VRSTA             VARCHAR2 (2), 
  ID_LASTNIKA       NUMBER, 
  ID_PLOVILA        NUMBER, 
  STORITEV          VARCHAR2 (6), 
  KAT               VARCHAR2 (3), 
  TIMEKAT           VARCHAR2 (3), 
  PROCKAT           VARCHAR2 (3), 
  DATUM_OD          DATE, 
  DATUM_DO          DATE, 
  KOLICINA          NUMBER, 
  POPUST            NUMBER, 
  ZNESEK            NUMBER, 
  VALUTA            VARCHAR2 (3), 
  TECAJ             NUMBER, 
  DAVEK             NUMBER, 
  N_PONUDBE         VARCHAR2 (10), 
  N_RACUNA          VARCHAR2 (10), 
  DATUM_RACUNA      DATE, 
  ZAKLJUCEN         NUMBER, 
  KOMENTAR          VARCHAR2 (250), 
  DATUM_KREIRANJA   DATE, 
  USER_KREIRANJA    VARCHAR2 (20), 
  DATUM_SPREMEMBE   DATE, 
  USER_SPREMEMBE    VARCHAR2 (20), 
  TIP_SERVIS        VARCHAR2 (6), 
  OPIS_SERVIS       VARCHAR2 (6), 
  AUTO              VARCHAR2 (1), 
  POPUST1           NUMBER, 
  POPUST2           NUMBER, 
  NAMENP            NUMBER, 
  NAMENP1           NUMBER, 
  NAMENP2           NUMBER, 
  TECAJP            NUMBER, 
  DODATNA_STORITEV  VARCHAR2 (6), 
  DOMACA_VALUTA     CHAR (1), 
  PROVIZIJA         NUMBER, 
  DRZAVA            VARCHAR2 (3), 
  SKUPAJ_OSEB       NUMBER, 
  ID_KAT            NUMBER); 


CREATE TABLE M_DE_NA_TG_LOG ( 
  TIP               VARCHAR2 (1)  NOT NULL, 
  PROGRAM           VARCHAR2 (64), 
  POSTAJA           VARCHAR2 (64), 
  MODUL             VARCHAR2 (48), 
  ID_DN               NUMBER, 
  ID_LASTNIKA         NUMBER, 
  ID_PLOVILA          NUMBER, 
  DATUM_DN            DATE, 
  STATUS              VARCHAR2 (1), 
  SKUPAJ              NUMBER, 
  TERMIN_DO           DATE, 
  KOMENTAR            CHAR (255), 
  PODPIS              CHAR (6), 
  N_RACUNA            CHAR (10), 
  DATUM_RACUNA        DATE, 
  MATERIAL            CHAR (2), 
  DATUM_ZAKLJUCKA_DN  DATE, 
  DATUM_KREIRANJA     DATE, 
  USER_KREIRANJA      VARCHAR2 (20), 
  DATUM_SPREMEMBE     DATE, 
  USER_SPREMEMBE      VARCHAR2 (20), 
  STEVILKA            VARCHAR2 (20), 
  SKUPAJ_MATERIAL     NUMBER, 
  PROFITNI_CENTER     VARCHAR2 (10), 
  IZBAZE              VARCHAR2 (10), 
  VBAZO               VARCHAR2 (10), 
  SKUPAJ_VAL          NUMBER, 
  ORG_STATUS          VARCHAR2 (1), 
  ID_RACUNA           NUMBER); 


insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (135, SYSDATE, '5.5', 55, 'TRIGGERJI');
