ALTER TABLE ACCESS_DATA
ADD DATE_CREATED DATE;

ALTER TABLE ACCESS_DATA
ADD USER_CREATED VARCHAR2(20 CHAR);

ALTER TABLE ACCESS_DATA
ADD DATE_CHANGED DATE;

ALTER TABLE ACCESS_DATA
ADD USER_CHANGED VARCHAR2(20 CHAR);

ALTER TABLE ACCESS_DATA
ADD NOTE VARCHAR2(300 CHAR);

DROP VIEW V_ACCESS_DATA;

CREATE OR REPLACE VIEW V_ACCESS_DATA AS (
  SELECT AD.ID_ACCESS_DATA, AD.NCARD, AD.ID_ACCESS_GROUP, AD.DATE_FROM, AD.DATE_TO, AD.NOTE, AD.ACTIVE, AD.DATE_CREATED, AD.USER_CREATED, AD.DATE_CHANGED, AD.USER_CHANGED,
  K.ID AS KUPCI_ID, K.IME AS KUPCI_IME, K.PRIIMEK AS KUPCI_PRIIMEK, NC.SERIALNUMBER AS CARD_NUMBER, AG.CODE AS ACCESS_GROUP_CODE, AG.DESCRIPTION AS ACCESS_GROUP_DESCRIPTION
  FROM ACCESS_DATA AD
  LEFT OUTER JOIN ACCESS_GROUP AG ON AG.ID_ACCESS_GROUP = AD.ID_ACCESS_GROUP
  LEFT OUTER JOIN NCARD NC ON NC.NCARD = AD.NCARD
  LEFT OUTER JOIN KUPCI K ON K.ID = NC.ID_LASTNIKA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1448, SYSDATE, '5.5', 1368, 'Access data')
;
